var HTTPServer = IR.CreateDevice(IR.DEVICE_CUSTOM_SERVER_TCP, "HTTPServer",
   {Port: 80, MaxClients: 3});
var httpRequestMessage = "";
IR.AddListener(IR.EVENT_ONLINE,HTTPServer,function()
{
IR.Log("*** HTTP Server online");
});
IR.AddListener(IR.EVENT_OFFLINE,HTTPServer,function()
{
IR.Log("*** HTTP Server offline");
});
IR.AddListener(IR.EVENT_RECEIVE_TEXT, HTTPServer, function(text)
{
  
  httpRequestMessage = httpRequestMessage + text;
  
  var httpRequestEND = httpRequestMessage.indexOf('\r\n\r\n');
  
  var GETstartpos = httpRequestMessage.indexOf('GET ');
  
  if ((httpRequestEND != -1) && (GETstartpos != -1)) {
    
   httpRequestMessage = httpRequestMessage.slice(GETstartpos + 5);
   
   var GETendpos = httpRequestMessage.indexOf(' ');
   
   var httpRequest = decodeURIComponent(httpRequestMessage.slice(0,GETendpos));
   
   IR.Log("*** HTTP Request: " + httpRequest);

//Control part: send http://[server address]/[driver name],[channel name],[value]
//ex. http://127.0.0.1/ModbusTCP,Channel1,1 
   part = httpRequest.split(",");
   IR.Log("payload: " +part[0] +" " +part[1] +" " +part[2]);
   IR.GetDevice(part[0]).Set(part[1], part[2]);
         HTTPServer.Send(['HTTP/1.0 200 OK\n']);
         HTTPServer.Send(['Content-Type: text/plain\n\n']);
         HTTPServer.Send(['OK you requested: ' + httpRequest]);
   
   httpRequestMessage = "";
   
   IR.SetTimeout(200,function()
   {
   HTTPServer.Disconnect();
   });
   
   IR.SetTimeout(400,function()
   {
   HTTPServer.Connect();
   });
   
   }
 
 });